# Uses of Class
org.springframework.jndi.JndiTemplate

Packages that use JndiTemplate
Package
Description
org.springframework.jndi
The classes in this package make JNDI easier to use, facilitating the accessing of configuration stored in JNDI, and provide useful superclasses for JNDI access classes.
org.springframework.scheduling.concurrent
Scheduling convenience classes for the `java.util.concurrent` and `jakarta.enterprise.concurrent` packages, allowing to set up a ThreadPoolExecutor or ScheduledThreadPoolExecutor as a bean in a Spring context.

## Uses of JndiTemplate in org.springframework.jndi

Methods in org.springframework.jndi that return JndiTemplate
Modifier and Type
Method
Description
`JndiTemplate`
JndiAccessor.`getJndiTemplate()`
Return the JNDI template to use for JNDI lookups.
Methods in org.springframework.jndi with parameters of type JndiTemplate
Modifier and Type
Method
Description
`void`
JndiAccessor.`setJndiTemplate(JndiTemplate jndiTemplate)`
Set the JNDI template to use for JNDI lookups.

## Uses of JndiTemplate in org.springframework.scheduling.concurrent

Methods in org.springframework.scheduling.concurrent with parameters of type JndiTemplate
Modifier and Type
Method
Description
`void`
DefaultManagedAwareThreadFactory.`setJndiTemplate(JndiTemplate jndiTemplate)`
Set the JNDI template to use for JNDI lookups.
`void`
DefaultManagedTaskExecutor.`setJndiTemplate(JndiTemplate jndiTemplate)`
Set the JNDI template to use for JNDI lookups.
`void`
DefaultManagedTaskScheduler.`setJndiTemplate(JndiTemplate jndiTemplate)`
Set the JNDI template to use for JNDI lookups.